GET
/v1/admin/dashboards
Get Dashboards
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards?_limit=&_skip= \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
_limit
number
optional
in query
_skip
number
optional
in query
primary
boolean
optional
in query
When true, returns only the primary dashboard for the user
id
string
Dashboard unique identifier
name
string
Dashboard name
description
string
Dashboard description
image_id
null | string
Dashboard image identifier (can be null)
visibility
string
Dashboard visibility setting
mutable
boolean
Whether the dashboard can be modified
shareable
boolean
Whether the dashboard can be shared
owner_id
string
Dashboard owner user ID
updated_by_id
null | string
ID of user who last updated the dashboard
shared_with_ids
array
Array of user IDs who have access to this dashboard
shared_at
null | string
Timestamp when dashboard was shared with current user
type
string
Dashboard type
updated_at
string
Last update timestamp
created_at
string
Creation timestamp
json · 200
{
"dashboards": [
{
"id": "1348afc3-db2e-4aaf-96ce-cda6ff269348",
"name": "Agent KPI Dashboard 13",
"description": "Dashboard for agent KPIs",
"image_id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6",
"visibility": "private",
"mutable": true,
"owner_id": "47dbbab6-1abf-4392-a42f-dbde107c2793",
"updated_at": "2025-09-22T11:48:17.989682Z",
"created_at": "2025-09-22T11:48:17.989682Z"
}
]
}